## ruby-gnome2 2.2.5

=== gio2/Makefile ===
all:
	(cd ext/gio2 && $(MAKE))
	$(MAKE) -f Makefile.lib

install:
	(cd ext/gio2 && $(MAKE) install)
	$(MAKE) -f Makefile.lib install

site-install:
	(cd ext/gio2 && $(MAKE) site-install)
	$(MAKE) -f Makefile.lib site-install

clean:
	(cd ext/gio2 && $(MAKE) clean)
	$(MAKE) -f Makefile.lib clean

distclean:
	(cd ext/gio2 && $(MAKE) distclean)
	$(MAKE) -f Makefile.lib distclean
	@rm -f Makefile.lib
