=== debian/changelog ===
ruby-gnome2 (2.2.5-4build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:32:03 +0000

ruby-gnome2 (2.2.5-4) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9.
  * Use https:// in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes needed).

  [ Christian Hofstaedtler ]
  * Unbreak ruby-gtk3 - ruby-gdk3 relation to allow for binNMUs.
  * Run dh_ruby_fixdepends to get OR-ed libruby depends.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 04 Mar 2016 16:19:27 +0100

ruby-gnome2 (2.2.5-3) unstable; urgency=medium

  * Team upload.
  * Fix arch-indep-only FTBFS.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #804641)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 15 Nov 2015 17:21:16 +0000

ruby-gnome2 (2.2.5-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * Add debian/patches/no-vte.patch
  * Drop ruby-vte{,3,-dbg,3-dbg} packages (Closes: #788024)
    - nothing seems to use these and old vte is up for removal.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Nov 2015 13:06:53 +0000

ruby-gnome2 (2.2.5-1) unstable; urgency=medium

  * New upstream release
  * fix-Gst-init.patch: dropped, already applied upstream
  * debian/copyright: split common license into its own paragraph
  * debian/watch: point to the github repository
  * debian/copyright: point Source: to github repository
  * ruby-gdk3: migrated upstream to gobject introspection, so becomes
    `Architecture: all`
    - ruby-gdk3-dbg package dropped
  * ruby-gtk3 and others: review package dependencies (Closes: #788875)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Jul 2015 11:16:35 -0300
