=== debian/control ===
Source: ruby-gnome2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Cornet <acornet@debian.org>,
           Paul van Tilburg <paulvt@debian.org>,
           Michael Schutte <m.schutte.jr@gmail.com>,
           Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libgirepository1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtksourceview-3.0-dev,
               libgtksourceview2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libpoppler-glib-dev (>= 0.8.0),
               librsvg2-dev (>= 2.8.0),
               libxmu-dev,
               pkg-config,
               ruby-cairo,
               ruby-pkg-config
Standards-Version: 3.9.7
Homepage: http://ruby-gnome2.sourceforge.jp/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-gnome2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-gnome2.git

Package: ruby-atk
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ATK bindings for the Ruby language
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices. This package contains libraries for using
 ATK with the Ruby programming language.

Package: ruby-atk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-atk (= ${binary:Version}),
         ${misc:Depends}
Description: ATK bindings for the Ruby language (debugging symbols)
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices. This package contains libraries for using
 ATK with the Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-cairo-gobject
Architecture: any
Depends: ruby | ruby-interpreter,
         ruby-cairo,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CairoGObject bindings for the Ruby language
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends; CairoGObject provides
 wrapper GObject types for all Cairo types.
 This package contains libraries for CairoGObject with the Ruby
 language.

Package: ruby-cairo-gobject-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-cairo-gobject (= ${binary:Version}),
         ${misc:Depends}
Description: CairoGObject bindings for the Ruby language (debugging symbols)
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.  This package contains libraries
 for using wrappers for GObject types for all Cairo types with the Ruby
 language.
 .
 This package contains the debugging symbols.

Package: ruby-clutter
Architecture: all
Priority: extra
Depends: gir1.2-clutter-1.0,
         ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter bindings for the Ruby language
 Clutter is a GObject based library for creating fast, visually rich,
 graphical user interfaces.  Clutter works by manipulating a scene-graph of
 2D surfaces, or 'actors', inside a 3D space.  This package contains
 libraries for using Clutter with the Ruby language.

Package: ruby-clutter-gstreamer
Architecture: all
Priority: extra
Depends: gir1.2-clutter-gst-2.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gstreamer (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter-GStreamer bindings for the Ruby language
 Clutter-GStreamer provides a Clutter interface implementation using
 GStreamer for basic video and audio playback.  This package contains
 libraries for using Clutter-GStreamer with the Ruby language.

Package: ruby-clutter-gtk
Architecture: all
Priority: extra
Depends: gir1.2-gtkclutter-1.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter-Gtk bindings for the Ruby language
 Clutter-Gtk is an integration library for the Clutter toolkit providing
 access and integration for the GTK+ library.  Clutter-Gtk allows embedding
 a Clutter scene graph into a GTK+ application; retrieving themeing
 information; integrate GTK+ data structures and object classes with
 Clutter actors.  This package contains libraries for using Clutter-Gtk
 with the Ruby language.

Package: ruby-gdk-pixbuf2
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gdk-Pixbuf 2 bindings for the Ruby language
 Gdk-Pixbuf is a library for loading and rendering images. This package
 contains libraries for using Gdk-Pixbuf with the Ruby programming language.

Package: ruby-gdk-pixbuf2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gdk-pixbuf2 (= ${binary:Version}),
         ${misc:Depends}
Description: Gdk-Pixbuf 2 bindings for the Ruby language (debugging symbols)
 Gdk-Pixbuf is a library for loading and rendering images. This package
 contains libraries for using Gdk-Pixbuf with the Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gdk3
Architecture: all
Depends: ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GDK 3 bindings for the Ruby language
 GDK is a computer graphics library that acts as a wrapper around the
 low-level drawing and windowing functions provided by the underlying
 graphics system.  It is mainly use by GTK+ 3.
 This package contains libraries for using GDK 3 with the Ruby programming
 language.

Package: ruby-gio2
Architecture: any
Depends: gir1.2-glib-2.0,
         ruby-glib2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GIO bindings for the Ruby language
 GIO is a I/O stack for GLIB/GTK+ applications. This package provides GIO
 bindings to be used in Ruby programs.

Package: ruby-gio2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gio2 (= ${binary:Version}),
         ${misc:Depends}
Description: GIO bindings for the Ruby language (debugging symbols)
 GIO is a I/O stack for GLIB/GTK+ applications. This package provides GIO
 bindings to be used in Ruby programs.
 .
 This package provides debugging symbols.

Package: ruby-glib2
Architecture: any
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GLib 2 bindings for the Ruby language
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.

Package: ruby-glib2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends}
Description: GLib 2 bindings for the Ruby language (debugging symbols)
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.
 .
 This package contains the debugging symbols.

Package: ruby-gnome2
Architecture: all
Depends: ruby-atk,
         ruby-cairo-gobject,
         ruby-gdk-pixbuf2,
         ruby-gdk3,
         ruby-gio2,
         ruby-gstreamer,
         ruby-gtk3,
         ruby-gtksourceview2,
         ruby-gtksourceview3,
         ruby-pango,
         ruby-poppler,
         ruby-rsvg2,
         ${misc:Depends}
Description: GNOME-related bindings for the Ruby language
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This is an empty package that depends on the various packages that provide
 the individual bindings.

Package: ruby-gnome2-dev
Architecture: any
Section: libdevel
Depends: ruby-all-dev,
         ruby-gnome2,
         ruby-pkg-config,
         ${misc:Depends}
Description: GNOME-related bindings for the Ruby language (development files)
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This package contains development files required to build ruby-gnome2
 extensions.

Package: ruby-gobject-introspection
Architecture: any
Depends: ruby | ruby-interpreter,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject Introspection bindings for the Ruby language
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 This package contains library for using GObject Introspection with the
 Ruby programming language.

Package: ruby-gobject-introspection-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends}
Description: GObject Introspection bindings for the Ruby (debugging symbols)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 This package contains library for using GObject Introspection with the
 Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gstreamer
Architecture: any
Depends: gir1.2-gstreamer-1.0,
         ruby-atk (= ${binary:Version}),
         ruby-gdk-pixbuf2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ruby-pango (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GStreamer bindings for the Ruby language
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins. This package contains libraries for using GStreamer with the Ruby
 programming language.

Package: ruby-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gstreamer (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer bindings for the Ruby language (debugging symbols)
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins. This package contains libraries for using GStreamer with the Ruby
 programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gtk2
Architecture: any
Depends: ruby-atk (= ${binary:Version}),
         ruby-gdk-pixbuf2 (= ${binary:Version}),
