=== debian/watch ===
version=3
https://github.com/ruby-gnome2/ruby-gnome2/releases .*/([0-9.]+).tar.gz
